=== debian/control ===
Source: asap
Maintainer: Piotr Fusik <fox@scene.pl>
Section: contrib/sound
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 7), libvlccore-dev, xmms2-dev

Package: asap
Architecture: any
Depends: ${shlibs:Depends}
Description: Provides "asapconv" command-line converter of Atari 8-bit music
 to WAV files. Supports the following file formats:
 SAP, CMC, CM3, CMR, CMS, DMC, DLT, MPT, MPD, RMT, TMC, TM8, TM2, FC.

Package: asap-dev
Architecture: any
Description: Development library providing Atari 8-bit music emulation.

Package: asap-vlc
Architecture: any
Depends: vlc, ${shlibs:Depends}
Description: Provides playback of Atari 8-bit music in VLC.
 Supports the following file formats: SAP, RMT, FC.

Package: asap-xmms2
Architecture: any
Depends: xmms2, ${shlibs:Depends}
Description: Provides playback of Atari 8-bit music (SAP format) in XMMS2.
