=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# skip "make clean" to avoid dependency on xasm, mads and cito
override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" asapconv lib asap-vlc asap-xmms2

# skip "make check" to avoid dependency on Acid800
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install install-vlc install-xmms2
